QGIS Application - Bug report #15350
WMTS layers are not listed in Browser panel
2016-07-27 08:11 AM - Anita Graser

Status: Closed

Priority: Severe/Regression
Assignee:

Category: Browser

Affected QGIS version:2.16.0
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 23282

Description

According to #9492, WMTS layers should be listed in the browser panel, but | cannot get it to work, neither with the server listed in the

ticket

http://maps.warwickshire.gov.uk/gs/gwc/service/wmts?service=WMTS

nor with a local one

http://www.basemap.at/wmts/1.0.0/WMTSCapabilities.xml

No layers are displayed in the browser, even though adding them through the Add WMS Layer dialog works just fine.

Associated revisions

Revision 29d2bef7 - 2016-10-03 06:06 AM - Martin Dobias

Fix listing of WMTS layers in browser (fixes #15350)

Revision ada60507 - 2016-10-28 06:18 AM - Martin Dobias

Fix listing of WMTS layers in browser (fixes #15350)

(cherry picked from commit 29d2bef7954d4e2b2cf21611c1398d0a7666e4c6)

Revision 9a6cefcd - 2016-10-28 06:21 AM - Martin Dobias

Fix listing of WMTS layers in browser (fixes #15350)

(cherry picked from commit 29d2bef7954d4e2b2cf21611c1398d0a7666e4c6)

History

#1 - 2016-07-27 08:29 AM - Giovanni Manghi
- Status changed from Open to Feedback

Hi Anita,
is the same issue as #14658 ?
http://maps.warwickshire.gov.uk/gs/gwc/service/wmts?service=WMTS
http://www.basemap.at/wmts/1.0.0/WMTSCapabilities.xml

#2 - 2016-07-27 09:53 AM - Anita Graser

| think that's a separate issue. There the WMTS layer cannot be added at all.

This issue is just about WMTS layers not being listed in the browser. | can add them using the toolbar/menu without problems.

Please reopen.

#3 - 2016-07-27 09:56 AM - Giovanni Manghi
- Status changed from Feedback to Open

Please reopen.

I never closed it :)

#4 - 2016-10-02 09:11 PM - Martin Dobias
- Status changed from Open to Closed

Fixed in changeset commit:"29d2bef7954d4e2b2cf21611c1398d0a7666e4c6".
